Uploaded image for project: 'Flink'
  1. Flink
  2. FLINK-13324

flink-shaded-hadoop could exclude curator dependency

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Minor
    • Resolution: Not A Bug
    • None
    • None
    • BuildSystem / Shaded
    • None

    Description

      Flink's high-availability functionality depends on curator, which means flink has its own dependent curator version(now is "2.12.0"). However, there are several transitive dependencies referring to curator-(client|framework|recipe)-2.7.1 from flink-shaded-hadoop(2). We might exclude these dependencies for a single curator version used in flink.

      cc [~Zentol]

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned
            tison Zili Chen
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment